2 2

[alpine-aports] [PATCH] testing/xmlsec: new aport

Sander Maijers
Details
Message ID
<CAGRPH5WLSrzTnRMNs1RMXU9SHGwN0Ha4LpACgK_V5hoBSi5cfg@mail.gmail.com>
Sender timestamp
1441289024
DKIM signature
missing
Download raw message
https://www.aleksey.com/xmlsec
 Provides a C based implementation for XML Signature Syntax and
Processing and XML Encryption Syntax and Processing.
---
 testing/xmlsec/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/xmlsec/APKBUILD

diff --git a/testing/xmlsec/APKBUILD b/testing/xmlsec/APKBUILD
new file mode 100644
index 0000000..adfe180
--- /dev/null
+++ b/testing/xmlsec/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: Sander Maijers <S.N.Maijers+Alpine@gmail.com>
+# Maintainer: Sander Maijers <S.N.Maijers+Alpine@gmail.com>
+pkgname='xmlsec'
+pkgver='1.2.20'
+pkgrel='0'
+pkgdesc="Provides a C based implementation for XML Signature Syntax
and Processing and XML Encryption Syntax and Processing."
+url="https://www.aleksey.com/${pkgname}"
+arch="all"
+license="MIT"
+depends="libxml2 libxslt openssl libltdl"
+depends_dev=
+makedepends="${depends_dev} libxml2-dev libxslt-dev openssl-dev libltdl"
+install=
+subpackages="${pkgname}-dev ${pkgname}-doc"
+source="${url}/download/${pkgname}1-${pkgver}.tar.gz"
+_builddir="${srcdir}/${pkgname}1-${pkgver}"
+
+prepare() {
+    :
+}
+
+build() {
+    cd "${_builddir}" &&
+    './configure' \
+     --build="$CBUILD" \
+ --disable-static \
+ --enable-pkgconfig \
+ --host="$CHOST" \
+ --prefix='/usr' \
+ --with-default-crypto='openssl' &&
+    make || return 1
+}
+
+check() {
+    cd "${_builddir}" &&
+    make -k check || return 1
+}
+
+package() {
+    cd "${_builddir}" &&
+    make DESTDIR="${pkgdir}" install || return 1
+    [ -d "${pkgdir}" ] && find "${pkgdir}"'/usr' -type 'f' -name '*.la' -delete
+    install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}" &&
+    install -m644 'COPYING'
"${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
+}
+
+md5sums="ce12af00283eb90d9281956524250d6e  xmlsec1-1.2.20.tar.gz"
+sha256sums="3221593ca50f362b546a0888a1431ad24be1470f96b2469c0e0df5e1c55e7305
 xmlsec1-1.2.20.tar.gz"
+sha512sums="2f8d473916abf9822367edbe857fc2e12dc9858d12e790d689d787e439904bd6a452bf631043aa66e7502457ab0815a473657f58fca17a213e2490f5655e5ae5
 xmlsec1-1.2.20.tar.gz"
-- 
2.5.1


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20150905142439.2df7e0ee@ncopa-laptop>
In-Reply-To
<CAGRPH5WLSrzTnRMNs1RMXU9SHGwN0Ha4LpACgK_V5hoBSi5cfg@mail.gmail.com> (view parent)
Sender timestamp
1441455879
DKIM signature
missing
Download raw message
On Thu, 3 Sep 2015 16:03:44 +0200
Sander Maijers <s.n.maijers@gmail.com> wrote:

> https://www.aleksey.com/xmlsec
>  Provides a C based implementation for XML Signature Syntax and
> Processing and XML Encryption Syntax and Processing.
> ---
>  testing/xmlsec/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 49 insertions(+)
>  create mode 100644 testing/xmlsec/APKBUILD

Thanks.

Did you send this patch with git send-email via gmail?

It seems that gmail reformat emails (wrapping some long lines) so the
patch does not apply. I edited manually and then cleaned up minor
things.

See comments below.

-nc

> 
> diff --git a/testing/xmlsec/APKBUILD b/testing/xmlsec/APKBUILD
> new file mode 100644
> index 0000000..adfe180
> --- /dev/null
> +++ b/testing/xmlsec/APKBUILD
> @@ -0,0 +1,49 @@
> +# Contributor: Sander Maijers <S.N.Maijers+Alpine@gmail.com>
> +# Maintainer: Sander Maijers <S.N.Maijers+Alpine@gmail.com>
> +pkgname='xmlsec'
> +pkgver='1.2.20'
> +pkgrel='0'
> +pkgdesc="Provides a C based implementation for XML Signature Syntax
> and Processing and XML Encryption Syntax and Processing."

Something has wrapped the above line. Normally we prefer having a
description that is shorter.

> +url="https://www.aleksey.com/${pkgname}"
> +arch="all"
> +license="MIT"
> +depends="libxml2 libxslt openssl libltdl"

You don't need add the above depedencies (unless it
needs /usr/bin/openssl at runtime). abuild will automatically detect
the dependencies for shared libs.

> +depends_dev=
> +makedepends="${depends_dev} libxml2-dev libxslt-dev openssl-dev libltdl"
> +install=
> +subpackages="${pkgname}-dev ${pkgname}-doc"
> +source="${url}/download/${pkgname}1-${pkgver}.tar.gz"
> +_builddir="${srcdir}/${pkgname}1-${pkgver}"
> +
> +prepare() {
> +    :
> +}
> +
> +build() {
> +    cd "${_builddir}" &&
> +    './configure' \
> +     --build="$CBUILD" \
> + --disable-static \
> + --enable-pkgconfig \
> + --host="$CHOST" \
> + --prefix='/usr' \
> + --with-default-crypto='openssl' &&
> +    make || return 1

Indent does not look good.

> +}
> +
> +check() {
> +    cd "${_builddir}" &&
> +    make -k check || return 1
> +}

We don't (yet) have any way to run check.

> +
> +package() {
> +    cd "${_builddir}" &&
> +    make DESTDIR="${pkgdir}" install || return 1
> +    [ -d "${pkgdir}" ] && find "${pkgdir}"'/usr' -type 'f' -name '*.la' -delete
> +    install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}" &&
> +    install -m644 'COPYING'
> "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
> +}
> +
> +md5sums="ce12af00283eb90d9281956524250d6e  xmlsec1-1.2.20.tar.gz"
> +sha256sums="3221593ca50f362b546a0888a1431ad24be1470f96b2469c0e0df5e1c55e7305
>  xmlsec1-1.2.20.tar.gz"
> +sha512sums="2f8d473916abf9822367edbe857fc2e12dc9858d12e790d689d787e439904bd6a452bf631043aa66e7502457ab0815a473657f58fca17a213e2490f5655e5ae5
>  xmlsec1-1.2.20.tar.gz"

checksumlines were wrapped.

-nc


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Sander Maijers
Details
Message ID
<CAGRPH5X7tyTVp0YoO7uPtN45o2qjX6rhfhvNsNmTxa=7v4KxiQ@mail.gmail.com>
In-Reply-To
<20150905142439.2df7e0ee@ncopa-laptop> (view parent)
Sender timestamp
1442230542
DKIM signature
missing
Download raw message
Hi Natanael,

Thanks for accepting the new aport.

On Sat, Sep 5, 2015 at 2:24 PM, Natanael Copa <ncopa@alpinelinux.org> wrote:
>
> On Thu, 3 Sep 2015 16:03:44 +0200
> Sander Maijers <s.n.maijers@gmail.com> wrote:
>
> > https://www.aleksey.com/xmlsec
> >  Provides a C based implementation for XML Signature Syntax and
> > Processing and XML Encryption Syntax and Processing.
> > ---
> >  testing/xmlsec/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
> >  1 file changed, 49 insertions(+)
> >  create mode 100644 testing/xmlsec/APKBUILD
>
> Thanks.
>
> Did you send this patch with git send-email via gmail?
>
> It seems that gmail reformat emails (wrapping some long lines) so the
> patch does not apply. I edited manually and then cleaned up minor
> things.
Thanks. I will send them as attachments in the future (if that isn't
rejected). Right now, I'm a bit hesitant to add plugins to git that
can send e-mail (making my configuration more complex and possibly
decreasing my workstation's security).

> See comments below.
>
> -nc
>
> >
> > diff --git a/testing/xmlsec/APKBUILD b/testing/xmlsec/APKBUILD
> > new file mode 100644
> > index 0000000..adfe180
> > --- /dev/null
> > +++ b/testing/xmlsec/APKBUILD
> > @@ -0,0 +1,49 @@
> > +# Contributor: Sander Maijers <S.N.Maijers+Alpine@gmail.com>
> > +# Maintainer: Sander Maijers <S.N.Maijers+Alpine@gmail.com>
> > +pkgname='xmlsec'
> > +pkgver='1.2.20'
> > +pkgrel='0'
> > +pkgdesc="Provides a C based implementation for XML Signature Syntax
> > and Processing and XML Encryption Syntax and Processing."
>
> Something has wrapped the above line. Normally we prefer having a
> description that is shorter.
The description, though longish, contains valuable (even critical)
information about what exactly is implemented in this software. The
Arch Linux description, for example, is poor IMO:
"XML Security Library is a C library based on LibXML2"

> > +url="https://www.aleksey.com/${pkgname}"
> > +arch="all"
> > +license="MIT"
> > +depends="libxml2 libxslt openssl libltdl"
>
> You don't need add the above depedencies (unless it
> needs /usr/bin/openssl at runtime). abuild will automatically detect
> the dependencies for shared libs.
Okay, that's great. Is this documented?

Important note: I am not sure whether a certain issue still exists
that I had during testing this aport. See
http://bugs.alpinelinux.org/issues/4554#note-2
There may be some interaction between that issue and the dependency
specification for the aport.

> > +depends_dev=
> > +makedepends="${depends_dev} libxml2-dev libxslt-dev openssl-dev libltdl"
> > +install=
> > +subpackages="${pkgname}-dev ${pkgname}-doc"
> > +source="${url}/download/${pkgname}1-${pkgver}.tar.gz"
> > +_builddir="${srcdir}/${pkgname}1-${pkgver}"
> > +
> > +prepare() {
> > +    :
> > +}
> > +
> > +build() {
> > +    cd "${_builddir}" &&
> > +    './configure' \
> > +     --build="$CBUILD" \
> > + --disable-static \
> > + --enable-pkgconfig \
> > + --host="$CHOST" \
> > + --prefix='/usr' \
> > + --with-default-crypto='openssl' &&
> > +    make || return 1
>
> Indent does not look good.
>
> > +}
> > +
> > +check() {
> > +    cd "${_builddir}" &&
> > +    make -k check || return 1
> > +}
>
> We don't (yet) have any way to run check.
I thought so, but at least one aport provides it as well and it seems
usefull to keep this code around.

> > +
> > +package() {
> > +    cd "${_builddir}" &&
> > +    make DESTDIR="${pkgdir}" install || return 1
> > +    [ -d "${pkgdir}" ] && find "${pkgdir}"'/usr' -type 'f' -name '*.la' -delete
> > +    install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}" &&
> > +    install -m644 'COPYING'
> > "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
> > +}
> > +
> > +md5sums="ce12af00283eb90d9281956524250d6e  xmlsec1-1.2.20.tar.gz"
> > +sha256sums="3221593ca50f362b546a0888a1431ad24be1470f96b2469c0e0df5e1c55e7305
> >  xmlsec1-1.2.20.tar.gz"
> > +sha512sums="2f8d473916abf9822367edbe857fc2e12dc9858d12e790d689d787e439904bd6a452bf631043aa66e7502457ab0815a473657f58fca17a213e2490f5655e5ae5
> >  xmlsec1-1.2.20.tar.gz"
>
> checksumlines were wrapped.
>
> -nc
Must say that running a command that automatically adds the hash
values as advised here
(http://wiki.alpinelinux.org/wiki/Creating_an_Alpine_package#Build_the_package),
whereas I did it by hand, kind of defeats the purpose of having them
(for integrity checking against tampering, at least). Not that there
is an easy solution for it...


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---